# socketappender.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/helpers/socket.h>`

Include dependency graph for socketappender.h:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Defines

#define | LOG4CPLUS_MAX_MESSAGE_SIZE (8*1024)

## Detailed Description

Definition in file socketappender.h.

## Define Documentation

#define LOG4CPLUS_MAX_MESSAGE_SIZE (8*1024)

| Definition at line 24 of file socketappender.h.